/*
 * This software has been created by Genome Research Limited (GRL). 
 * GRL hereby grants permission to use, copy, modify and distribute 
 * this software and its documentation for non-commercial purposes 
 * without fee at the user's own risk on the basis set out below.
 * GRL neither undertakes nor accepts any duty whether contractual or 
 * otherwise in connection with the software, its use or the use of 
 * any derivative, and makes no representations or warranties, express
 * or implied, concerning the software, its suitability, fitness for
 * a particular purpose or non-infringement.
 * In no event shall the authors of the software or GRL be 
 * responsible or liable for any loss or damage whatsoever arising in
 * any way directly or indirectly out of the use of this software or 
 *  its derivatives, even if advised of the possibility of such damage.
 * Our software can be freely distributed under the conditions set 
 * out above, and must contain this copyright notice.
 */

#include <stdlib.h>

#include "trace_align.h"

static const char *cvsid = "$Id: allocReScore.c 10638 2003-04-15 09:15:12Z dgm $";

ReScore *
allocReScore(int base_start, int base_end)
{
    int len;
    ReScore *re_score;

    re_score = (ReScore *) calloc(1, sizeof(ReScore));
    re_score->b_start = base_start;
    re_score->b_end = base_end;

    len = base_end - base_start + 1;

    re_score->score = (int *) calloc(len, sizeof(int)) - base_start;
    re_score->max = (int *) calloc(len, sizeof(int)) - base_start;
    re_score->left = (int *) calloc(len, sizeof(int)) - base_start;
    re_score->right = (int *) calloc(len, sizeof(int)) - base_start;
    re_score->internal = (int *) calloc(len, sizeof(int)) - base_start;
    re_score->width = (int *) calloc(len, sizeof(int)) - base_start;

    return re_score;
}
