/*
 * This software has been created by Genome Research Limited (GRL). 
 * GRL hereby grants permission to use, copy, modify and distribute 
 * this software and its documentation for non-commercial purposes 
 * without fee at the user's own risk on the basis set out below.
 * GRL neither undertakes nor accepts any duty whether contractual or 
 * otherwise in connection with the software, its use or the use of 
 * any derivative, and makes no representations or warranties, express
 * or implied, concerning the software, its suitability, fitness for
 * a particular purpose or non-infringement.
 * In no event shall the authors of the software or GRL be 
 * responsible or liable for any loss or damage whatsoever arising in
 * any way directly or indirectly out of the use of this software or 
 *  its derivatives, even if advised of the possibility of such damage.
 * Our software can be freely distributed under the conditions set 
 * out above, and must contain this copyright notice.
 */

#include <stdlib.h>

#include "trace_align.h"

static const char *cvsid = "$Id: alloc_sample_matrix.c 10638 2003-04-15 09:15:12Z dgm $";

/**
 * Allocate storage for a simplified representation of trace data. This
 * takes the form of a (number of base codes)+1 by samples 2D array.
 *
 * @param samples is the count of samples to be stored.
 *
 * @returns a pointer to the allocated storage. All values are set to
 *          zero.
 */
int **
alloc_sample_matrix(int samples)
{
    int i;
    int **matrix = (int **) calloc(base_n + 1, sizeof(int *));

    for (i = base_a; i <= base_n; i++)
	matrix[i] = (int *) calloc(samples, sizeof(int));

    return matrix;
}
