/*
 * This software has been created by Genome Research Limited (GRL). 
 * GRL hereby grants permission to use, copy, modify and distribute 
 * this software and its documentation for non-commercial purposes 
 * without fee at the user's own risk on the basis set out below.
 * GRL neither undertakes nor accepts any duty whether contractual or 
 * otherwise in connection with the software, its use or the use of 
 * any derivative, and makes no representations or warranties, express
 * or implied, concerning the software, its suitability, fitness for
 * a particular purpose or non-infringement.
 * In no event shall the authors of the software or GRL be 
 * responsible or liable for any loss or damage whatsoever arising in
 * any way directly or indirectly out of the use of this software or 
 *  its derivatives, even if advised of the possibility of such damage.
 * Our software can be freely distributed under the conditions set 
 * out above, and must contain this copyright notice.
 */

#include <stdlib.h>
#include "trace_align.h"

static const char *cvsid = "$Id: free_sample_matrix.c 18816 2006-08-03 16:39:42Z rmd $";

/**
 * Dispose of a previously allocated sample matrix.
 *
 * @param matrix is a pointer to a previously allocated trace matrix
 *        data object.
 *
 * @see alloc_sample_matrix
 */
void
free_sample_matrix(int **matrix)
{
    int i;
    if (matrix) {
	for (i = base_a; i <= base_n; i++)
	    free(matrix[i]);
	free(matrix);
    }
}
