/*
 * This software has been created by Genome Research Limited (GRL). 
 * GRL hereby grants permission to use, copy, modify and distribute 
 * this software and its documentation for non-commercial purposes 
 * without fee at the user's own risk on the basis set out below.
 * GRL neither undertakes nor accepts any duty whether contractual or 
 * otherwise in connection with the software, its use or the use of 
 * any derivative, and makes no representations or warranties, express
 * or implied, concerning the software, its suitability, fitness for
 * a particular purpose or non-infringement.
 * In no event shall the authors of the software or GRL be 
 * responsible or liable for any loss or damage whatsoever arising in
 * any way directly or indirectly out of the use of this software or 
 *  its derivatives, even if advised of the possibility of such damage.
 * Our software can be freely distributed under the conditions set 
 * out above, and must contain this copyright notice.
 */

#include <math.h>

static const char *cvsid = "$Id: nint.c 10638 2003-04-15 09:15:12Z dgm $";

#if defined(__sgi) || defined(LINUX)
double nint(double x);
/**
 * The nint() computes the nearest integral value to x, except halfway cases
 * are rounded to the integral value larger in magnitude. This corresponds
 * to the FORTRAN generic intrinsic function nint(). This routine is defined
 * only for SGI and Linux platforms which do not have a builtin version of
 * this routine.
 *
 * @param x is the value to be 'rounded'
 * @returns the nearest integral value to the supplied value 'x'.
 */
double 
nint(double x)
{
    return (x > 0) ? floor(x + 0.5) : floor(x - 0.5);
}
#endif
