/*
 * This software has been created by Genome Research Limited (GRL). 
 * GRL hereby grants permission to use, copy, modify and distribute 
 * this software and its documentation for non-commercial purposes 
 * without fee at the user's own risk on the basis set out below.
 * GRL neither undertakes nor accepts any duty whether contractual or 
 * otherwise in connection with the software, its use or the use of 
 * any derivative, and makes no representations or warranties, express
 * or implied, concerning the software, its suitability, fitness for
 * a particular purpose or non-infringement.
 * In no event shall the authors of the software or GRL be 
 * responsible or liable for any loss or damage whatsoever arising in
 * any way directly or indirectly out of the use of this software or 
 *  its derivatives, even if advised of the possibility of such damage.
 * Our software can be freely distributed under the conditions set 
 * out above, and must contain this copyright notice.
 */

#ifndef TTS_READLINE_H
#define TTS_READLINE_H

#include <stdio.h>

/* reads a line */
int tts_read_line(FILE *file, char *string);

/* skips a line */
int tts_next_line(FILE *file);

/* checks whether string is full of white space */
int tts_not_blank(char * string);

/* reads in successive lines, truncating comments and skipping blank lines */
int tts_skip_comments(FILE * fp, char * string);

#endif /* TTS_READLINE_H */
